<center><h1><?_("Advanced server fine-tuning controls")></h1></center>
<table border="0">

<tr><td><?_("Server connection idle timeout (in seconds)")></td><td>
<input type="text" name="c_sleeping" maxlength="15" value='<?SERV:CFG("c_sleeping")>'></td></tr>

<tr><td><?_("Maximum concurrent sessions (0 = no limit)")></td><td>
<input type="text" name="c_maxsessions" maxlength="5" value='<?SERV:CFG("c_maxsessions")>'></td></tr>

<tr><td><?_("Default user purge time (days)")></td><td>
<input type="text" name="c_userpurge" maxlength="5" value='<?SERV:CFG("c_userpurge")>'></td></tr>

<tr><td><?_("Default room purge time (days)")></td><td>
<input type="text" name="c_roompurge" maxlength="5" value='<?SERV:CFG("c_roompurge")>'></td></tr>

<tr><td><?_("Maximum message length")></td><td>
<input type="text" name="c_maxmsglen" maxlength="20" value='<?SERV:CFG("c_maxmsglen")>'></td></tr>

<tr><td><?_("Minimum number of worker threads")></td><td>
<input type="text" name="c_min_workers" maxlength="5" value='<?SERV:CFG("c_min_workers")>'></td></tr>

<tr><td><?_("Maximum number of worker threads")></td><td>
<input type="text" name="c_max_workers" maxlength="5" value='<?SERV:CFG("c_max_workers")>'></td></tr>

<tr><td><?_("Automatically delete committed database logs")></td><td>
<input type="checkbox" NAME="c_auto_cull" VALUE="yes" <?%("COND:SERVCFG", 1, "c_auto_cull", 1, "CHECKED", "")>></td></tr>

</table>
